rem Create a temporary file list with full paths
dir /s /b /a-d PAYDAY3\* > temp_filelist.txt

rem Initialize filelist.txt
echo. > filelist.txt

rem Define the suffix to append
set suffix="../../../PAYDAY3/Content/Vehicle/Civilian/Van/Veh_Van_01/Textures/"

rem Read each line from temp_filelist.txt and format it
for /f "delims=" %%i in (temp_filelist.txt) do (
    echo "%%i" %suffix% >> filelist.txt
)

rem Run UnrealPak with the updated filelist.txt
..\data\Engine\Tool\unrealpak\UnrealPak.exe "..\..\..\..\_single\yourmodname_van.pak" -create=..\..\..\..\_single\filelist.txt -compress

rem Cleanup temporary file
del temp_filelist.txt
del filelist.txt

echo FINISH!
pause